ros-foxy-rmw-connext-cpp (1.0.3-1focal) focal; urgency=high

  * Fix wrong error messages (#458 <https://github.com/ros2/rmw_connext/issues/458>) (#478 <https://github.com/ros2/rmw_connext/issues/478>)
  * Update maintainers (#468 <https://github.com/ros2/rmw_connext/issues/468>) (#470 <https://github.com/ros2/rmw_connext/issues/470>)
  * Contributors: Alejandro Hernández Cordero, Ivan Santiago Paunovic

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-foxy-rmw-connext-cpp (1.0.2-1focal) focal; urgency=high

  * Return RMW_RET_UNSUPPORTED in rmw_get_serialized_message_size (#467 <https://github.com/ros2/rmw_connext/issues/467>)
  * returned RMW_RET_INCORRECT_RMW_IMPLEMENTATION in rmw_service_server_is_available (#466 <https://github.com/ros2/rmw_connext/issues/466>)
  * Update service/client request/response API error returns (#465 <https://github.com/ros2/rmw_connext/issues/465>)
  * Updated rmw_* return codes (#463 <https://github.com/ros2/rmw_connext/issues/463>)
  * Update service/client construction/destruction API return codes. (#464 <https://github.com/ros2/rmw_connext/issues/464>)
  * Updated returns on rmw_take_serialized_with_info (#462 <https://github.com/ros2/rmw_connext/issues/462>)
  * Update gid API return codes. (#461 <https://github.com/ros2/rmw_connext/issues/461>)
  * updated error returns (#456 <https://github.com/ros2/rmw_connext/issues/456>)
  * Updated error returns on rmw_take (#454 <https://github.com/ros2/rmw_connext/issues/454>)
  * Update rmw_publish() error returns (#452 <https://github.com/ros2/rmw_connext/issues/452>)
  * Update rmw_publish_serialized_message() error returns (#453 <https://github.com/ros2/rmw_connext/issues/453>)
  * Ensure compliant matched pub/sub count API. (#451 <https://github.com/ros2/rmw_connext/issues/451>)
  * Ensure compliant subscription API. (#450 <https://github.com/ros2/rmw_connext/issues/450>)
  * Decouple rmw_destroy_publisher() outcome from global RMW error state. (#449 <https://github.com/ros2/rmw_connext/issues/449>)
  * Ensure compliant publisher API (#445 <https://github.com/ros2/rmw_connext/issues/445>)
  * Ensure compliant node construction/destruction API. (#439 <https://github.com/ros2/rmw_connext/issues/439>)
  * Amend rmw_init() implementation: require enclave. (#437 <https://github.com/ros2/rmw_connext/issues/437>)
  * Ensure compliant init/shutdown API implementation. (#432 <https://github.com/ros2/rmw_connext/issues/432>)
  * Ensure compliant init options API implementations. (#431 <https://github.com/ros2/rmw_connext/issues/431>)
  * Finalize context if and only if it's shutdown (#428 <https://github.com/ros2/rmw_connext/issues/428>)
  * Contributors: Alejandro Hernández Cordero, Jose Tomas Lorente, Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 15 Oct 2020 07:00:00 -0000

ros-foxy-rmw-connext-cpp (1.0.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jul 2020 07:00:00 -0000

ros-foxy-rmw-connext-cpp (1.0.0-1focal) focal; urgency=high

  * Remove MANUAL_BY_NODE liveliness API (#423 <https://github.com/ros2/rmw_connext/issues/423>)
  * Contributors: Ivan Santiago Paunovic

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 12 May 2020 07:00:00 -0000

ros-foxy-rmw-connext-cpp (0.9.1-1focal) focal; urgency=high

  * Correct rmw_take() return value. (#419 <https://github.com/ros2/rmw_connext/issues/419>)
  * Switch to always using rtiddsgen (not the server). (#421 <https://github.com/ros2/rmw_connext/issues/421>)
  * Cast to size_t before doing comparison (#420 <https://github.com/ros2/rmw_connext/issues/420>)
  * Cast size_t to DDS_Long explicitly. (#416 <https://github.com/ros2/rmw_connext/issues/416>)
  * set connext buffer capacity (#417 <https://github.com/ros2/rmw_connext/issues/417>)
  * Retry calling the idl_pp up to 10 times. (#415 <https://github.com/ros2/rmw_connext/issues/415>)
  * Contributors: Chris Lalancette, Karsten Knese, Michel Hidalgo, Shane Loretz

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-foxy-rmw-connext-cpp (0.9.0-1focal) focal; urgency=high

  * Rename rosidl_message_bounds_t (#413 <https://github.com/ros2/rmw_connext/issues/413>)
  * More verbose error output when apply_patch.py fails (#414 <https://github.com/ros2/rmw_connext/issues/414>)
  * Switch take_response and take_request to rmw_service_info_t (#412 <https://github.com/ros2/rmw_connext/issues/412>)
  * Add support for taking a sequence of messages (#408 <https://github.com/ros2/rmw_connext/issues/408>)
  * Fix CMake warning about using uninitialized variables (#411 <https://github.com/ros2/rmw_connext/issues/411>)
  * security-context -> enclave (#407 <https://github.com/ros2/rmw_connext/issues/407>)
  * Replace rosidl_generator_x for rosidl_runtime_x (#399 <https://github.com/ros2/rmw_connext/issues/399>)
  * API changes to sync with one Participant per Context change in rmw_fastrtps (#392 <https://github.com/ros2/rmw_connext/issues/392>)
  * Support for ON_REQUESTED_INCOMPATIBLE_QOS and ON_OFFERED_INCOMPATIBLE_QOS events (#398 <https://github.com/ros2/rmw_connext/issues/398>)
  * Add rmw_*_event_init() functions (#397 <https://github.com/ros2/rmw_connext/issues/397>)
  * Fix build warnings due to -Wsign-compare with GCC 9 (#396 <https://github.com/ros2/rmw_connext/issues/396>)
  * Implement the rmw_get_publishers/subscriptions_info_by_topic() methods (#391 <https://github.com/ros2/rmw_connext/issues/391>)
  * Finding rmw_connext_shared_cpp must succeed, only rmw_connext_cpp can signal not-found when Connext is not available (#389 <https://github.com/ros2/rmw_connext/issues/389>)
  * Code style only: wrap after open parenthesis if not in one line (#387 <https://github.com/ros2/rmw_connext/issues/387>)
  * Avoid using build time Connext library paths, determine them when downstream packages are built (#385 <https://github.com/ros2/rmw_connext/issues/385>)
  * Stubs for rmw_get_publishers_info_by_topic and rmw_get_subscriptions_info_by_topic  (#377 <https://github.com/ros2/rmw_connext/issues/377>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Ingo Lütkebohle, Ivan Santiago Paunovic, Jacob Perron, Jaison Titus, Miaofei Mei, Michael Carroll, Mikael Arguedas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 25 Apr 2020 07:00:00 -0000

ros-foxy-rmw-connext-cpp (0.8.1-1focal) focal; urgency=high

  * CMAKE_SOURCE_DIR -> CMAKE_CURRENT_SOURCE_DIR (#378 <https://github.com/ros2/rmw_connext/issues/378>)
  * use return_loaned_message_from (#376 <https://github.com/ros2/rmw_connext/issues/376>)
  * Support localhost only communication (#373 <https://github.com/ros2/rmw_connext/issues/373>)
  * Zero copy api (#367 <https://github.com/ros2/rmw_connext/issues/367>)
  * update logic / patches to optionally support Connext 6 (#374 <https://github.com/ros2/rmw_connext/issues/374>)
  * assert that unmodified lines in the patch match the input (#371 <https://github.com/ros2/rmw_connext/issues/371>)
  * supress invalid syntax warning for macro call (#370 <https://github.com/ros2/rmw_connext/issues/370>)
  * Fix build error (#369 <https://github.com/ros2/rmw_connext/issues/369>)
  * update signature for added pub/sub options (#368 <https://github.com/ros2/rmw_connext/issues/368>)
  * Contributors: Brian Marchi, Dan Rose, Dirk Thomas, Karsten Knese, William Woodall, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-foxy-rmw-connext-cpp (0.8.0-1focal) focal; urgency=high

  * speed up copy with memcpy (#366 <https://github.com/ros2/rmw_connext/issues/366>)
  * Implement get_actual_qos() for subscriptions (#358 <https://github.com/ros2/rmw_connext/issues/358>)
  * add missing qos setings in get_actual_qos() (#357 <https://github.com/ros2/rmw_connext/issues/357>)
  * Contributors: Jacob Perron, M. M, Neil Puthuff

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Sep 2019 07:00:00 -0000

ros-foxy-rmw-connext-cpp (0.7.2-1focal) focal; urgency=high

  * Add missing get_serialized_message_size method. (#355 <https://github.com/ros2/rmw_connext/issues/355>)
  * Contributors: Michael Carroll

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 May 2019 07:00:00 -0000

ros-foxy-rmw-connext-cpp (0.7.1-1focal) focal; urgency=high

  * Combine package name with type namespace in type support struct (#354 <https://github.com/ros2/rmw_connext/issues/354>)
  * Implement QoS: liveliness, deadline, lifespan (#352 <https://github.com/ros2/rmw_connext/issues/352>)
  * Stub out new allocation APIs. (#353 <https://github.com/ros2/rmw_connext/issues/353>)
  * Contributors: Devin Bonnie, Jacob Perron, Michael Carroll

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 07:00:00 -0000

ros-foxy-rmw-connext-cpp (0.7.0-1focal) focal; urgency=high

  * Add function to get publisher actual qos settings (#350 <https://github.com/ros2/rmw_connext/issues/350>)
  * pass context to wait set and fini context (#343 <https://github.com/ros2/rmw_connext/issues/343>)
  * deduplicate code (#312 <https://github.com/ros2/rmw_connext/issues/312>)
  * Delete datareader on the subscriber and datawriter on the publisher, issue #330 <https://github.com/ros2/rmw_connext/issues/330> (#337 <https://github.com/ros2/rmw_connext/issues/337>)
  * Remove unnecessary argument name, issue #331 <https://github.com/ros2/rmw_connext/issues/331> (#336 <https://github.com/ros2/rmw_connext/issues/336>)
  * Make use of DDS namespace instead of DDS_ prefixed versions in global namespace (#328 <https://github.com/ros2/rmw_connext/issues/328>)
  * Fixed typo in comments and remove trailing spaces (#332 <https://github.com/ros2/rmw_connext/issues/332>)
  * remove debug print (#322 <https://github.com/ros2/rmw_connext/issues/322>)
  * Contributors: Johnny Willemsen, William Woodall, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 13 Apr 2019 07:00:00 -0000

ros-foxy-rmw-connext-cpp (0.6.1-1focal) focal; urgency=high

  * Node graph impl (#313 <https://github.com/ros2/rmw_connext/issues/313>)
  * refactor to support init options and context (#308 <https://github.com/ros2/rmw_connext/issues/308>)
  * Add implementation of matching publisher/subscriber counts (#310 <https://github.com/ros2/rmw_connext/issues/310>)
  * reduce verbosity when Connext is not available (#311 <https://github.com/ros2/rmw_connext/issues/311>)
  * use uint8_t array (#309 <https://github.com/ros2/rmw_connext/issues/309>)
  * Contributors: Dirk Thomas, Karsten Knese, Michael Carroll, Ross Desmond, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Dec 2018 08:00:00 -0000

ros-foxy-rmw-connext-cpp (0.6.0-1focal) focal; urgency=high

  * use new error handling API from rcutils (#306 <https://github.com/ros2/rmw_connext/issues/306>)
  * Fix lint warning from invalid escape sequences (#305 <https://github.com/ros2/rmw_connext/issues/305>)
  * Include node namespaces in get_node_names (#299 <https://github.com/ros2/rmw_connext/issues/299>)
  * add rmw_get_serialization_format (#298 <https://github.com/ros2/rmw_connext/issues/298>)
  * Contributors: Jacob Perron, Karsten Knese, Michael Carroll, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000

ros-foxy-rmw-connext-cpp (0.5.1-1focal) focal; urgency=high

  * only deserialize when taken is true (#297 <https://github.com/ros2/rmw_connext/issues/297>)
  * Contributors: Karsten Knese

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 Jun 2018 07:00:00 -0000

ros-foxy-rmw-connext-cpp (0.5.0-1focal) focal; urgency=high

  * Use key rti-connext-dds-5.3.1 as package key name for connext. (#294 <https://github.com/ros2/rmw_connext/issues/294>)
  * Expose raw CDR stream for publish and subscribe (#259 <https://github.com/ros2/rmw_connext/issues/259>)
  * Remove topic partitions (#285 <https://github.com/ros2/rmw_connext/issues/285>)
  * Merge pull request #287 <https://github.com/ros2/rmw_connext/issues/287> from ros2/misra_fixup
  * Merge pull request #277 <https://github.com/ros2/rmw_connext/issues/277> from ros2/compile_all_cpp_files
  * Logging manipulation API from rmw_connext (#266 <https://github.com/ros2/rmw_connext/issues/266>)
  * Contributors: Karsten Knese, Michael Carroll, Rohit Salem, Sriram Raghunathan, Steven! Ragnarök

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 23 Jun 2018 07:00:00 -0000

ros-foxy-rmw-connext-cpp (0.4.0-1focal) focal; urgency=high

  * Merge pull request #272 <https://github.com/ros2/rmw_connext/issues/272> from ros2/rename_group
  * Wait set two words (#271 <https://github.com/ros2/rmw_connext/issues/271>)
  * Merge pull request #267 <https://github.com/ros2/rmw_connext/issues/267> from ros2/rep149
  * Merge pull request #268 <https://github.com/ros2/rmw_connext/issues/268> from ros2/ignore_unavailable_rmw
  * Merge pull request #252 <https://github.com/ros2/rmw_connext/issues/252> from ros2/remove_indent_off
  * Merge pull request #251 <https://github.com/ros2/rmw_connext/issues/251> from ros2/uncrustify_master
  * remove obsolete INDENT-OFF usage
  * Update Connext license filter resource name to specify it's a prefix (#242 <https://github.com/ros2/rmw_connext/issues/242>)
  * update style to match latest uncrustify
  * Merge pull request #249 <https://github.com/ros2/rmw_connext/issues/249> from ros2/remove_unnecessary_define

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Dec 2017 08:00:00 -0000


